---

- hosts: lockss
  become: true
  vars:
    lockss_data_dir: /var/lib/lockss
    lockss_uid: 995
    lockss_gid: 995
    external_ip: "{{ lookup('ip', ansible_host) }}"
    lockss_hostname: "{{ ansible_host }}"
    lockss_ipaddr: "{{ external_ip }}"
    lockss_external_ipaddr: "{{ external_ip }}"
    lockss_network_ips:
      - 35.8.220.0/22
    lockss_admin_ips:
      - 35.8.220.0/22
    lockss_admin_email: nepeta@msu.edu
    lockss_props_url: "http://lib-lockss-con-pilot.library.wmich.edu:8001\
                       /lockss.xml"
  vars_files:
    - production_secrets.yml
  roles:
    - lockss
